transformers-0.3.0.0: Concrete functor and monad transformers

Copyright | (c) Russell O'Connor 2009
License | BSD-style (see the file LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Functor.Reverse

Description

Making functors whose elements are notionally in the reverse order from the original functor.

Synopsis

- newtype Reverse f a = Reverse {
  - getReverse :: f a
  }

# Documentation

newtype Reverse f a

The same functor, but with `Foldable` and `Traversable` instances that process the elements in the reverse order.

Constructors

Reverse |

Fields

getReverse :: f a

Instances

Alternative f => Alternative (Reverse f) | Derived instance.
Functor f => Functor (Reverse f) | Derived instance.
Applicative f => Applicative (Reverse f) | Derived instance.
Foldable f => Foldable (Reverse f) | Fold from right to left.
Traversable f => Traversable (Reverse f) | Traverse from right to left.